%define upstream_name    File-Sync
%define upstream_version 0.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 39

Summary:    Perl access to fsync() and sync() function calls
License:    Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/C/CE/CEVANS/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
The fsync() function takes a Perl file handle as its only argument, and
passes its fileno() to the C function fsync().  It returns I<undef> on
failure, or I<true> on success.

The fsync_fd() function is used internally by fsync(); it takes a file
descriptor as its only argument.

The sync() function is identical to the C function sync().

This module does B<not> export any methods by default, but fsync() is
made available as a method of the I<FileHandle> and I<IO::Handle>
classes.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}"

%check
%{__make} test

%install
%make_install

%files
%doc Changes META.yml README
%{perl_vendorarch}/File
%{perl_vendorarch}/auto/File
%{_mandir}/man3/*


%changelog
* Fri Aug 23 2024 neoclust <neoclust> 0.110.0-39.mga10
+ Revision: 2089520
- Rebuild on the Real BS
- Rebuild against new perl

* Fri Apr 05 2024 wally <wally> 0.110.0-37.mga10
+ Revision: 2054675
- basesystem rebuild for i686

* Sun Nov 26 2023 tv <tv> 0.110.0-36.mga10
+ Revision: 2009892
- Rebuild with BS after semi-manual rebuild for perl-5.38
+ pterjan <pterjan>
- Initial rebuild for perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.110.0-34.mga9
+ Revision: 1795410
- Mageia 9 Mass Rebuild

* Mon May 24 2021 tmb <tmb> 0.110.0-33.mga9
+ Revision: 1726214
- rebuild post bootstrap
- rebuild for perl-5.34.0

* Wed Jun 17 2020 pterjan <pterjan> 0.110.0-31.mga8
+ Revision: 1594129
- Clean rebuild
- Rebuild for new perl

* Sat Feb 15 2020 umeabot <umeabot> 0.110.0-29.mga8
+ Revision: 1528728
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tmb <tmb> 0.110.0-28.mga8
+ Revision: 1432538
- rebuild for missing signature
- rebuild for perl-5.30.0-4.mga8

* Fri Sep 21 2018 umeabot <umeabot> 0.110.0-26.mga7
+ Revision: 1292859
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 0.110.0-25.mga7
+ Revision: 1247842
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl

* Sun Apr 15 2018 daviddavid <daviddavid> 0.110.0-23.mga7
+ Revision: 1219088
- rebuild for new perl 5.26.2

* Mon Oct 02 2017 tv <tv> 0.110.0-22.mga7
+ Revision: 1164372
- rebuild with fixed rpm for missing autodeps

* Wed Aug 30 2017 pterjan <pterjan> 0.110.0-21.mga7
+ Revision: 1148539
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.110.0-20.mga7
+ Revision: 1127518
- Rebuild against new Perl 5.26

* Fri Jul 21 2017 tv <tv> 0.110.0-19.mga7
+ Revision: 1126238
- rebuild for perl 5.26

* Thu Jul 20 2017 tv <tv> 0.110.0-18.mga7
+ Revision: 1125439
- rebuild for new perl

* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-17.mga6
+ Revision: 1027615
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-16.mga6
+ Revision: 957326
- Mageia 6 Mass Rebuild

* Fri Aug 21 2015 tmb <tmb> 0.110.0-15.mga6
+ Revision: 867852
- rebuild for new gcc

* Fri Jun 26 2015 tv <tv> 0.110.0-14.mga6
+ Revision: 844871
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tmb <tmb> 0.110.0-13.mga6
+ Revision: 840396
- rebuild with buildsystem
- rebuild with perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-11.mga5
+ Revision: 751012
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-10.mga5
+ Revision: 684773
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 0.110.0-9.mga5
+ Revision: 630705
- Rebuild cleanly
- Rebuild for new Perl

* Tue Feb 04 2014 tv <tv> 0.110.0-7.mga5
+ Revision: 581817
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 0.110.0-6.mga4
+ Revision: 524655
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-5.mga4
+ Revision: 431358
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 0.110.0-4.mga4
+ Revision: 430694
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.110.0-3.mga3
+ Revision: 367387
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 0.110.0-2.mga3
+ Revision: 283400
- Clean rebuild

* Sat Nov 19 2011 kharec <kharec> 0.110.0-1.mga2
+ Revision: 169422
- update to 0.11

* Sat Nov 19 2011 kharec <kharec> 0.100.0-1.mga2
+ Revision: 169398
- update to 0.10

* Sun Jun 12 2011 sander85 <sander85> 0.90.0-7.mga2
+ Revision: 104279
- Rebuild for perl 5.14

* Wed Jan 19 2011 jquelin <jquelin> 0.90.0-6.mga1
+ Revision: 23768
- rebuild

* Tue Jan 18 2011 blino <blino> 0.90.0-5.mga1
+ Revision: 23266
- rebuild for new perl
+ jquelin <jquelin>
- imported package perl-File-Sync

